#!/bin/bash
# first get the code
wget http://www.caam.rice.edu/software/ARPACK/SRC/readme.arpack
wget http://www.caam.rice.edu/software/ARPACK/SRC/readme.parpack
wget http://www.caam.rice.edu/software/ARPACK/SRC/instruction.arpack
wget http://www.caam.rice.edu/software/ARPACK/SRC/readme.parpack
wget http://www.caam.rice.edu/software/ARPACK/SRC/instruction.parpack
wget http://www.caam.rice.edu/software/ARPACK/SRC/arpack96.tar.gz
wget http://www.caam.rice.edu/software/ARPACK/SRC/patch.tar.gz
wget http://www.caam.rice.edu/software/ARPACK/SRC/parpack96.tar.gz
wget http://www.caam.rice.edu/software/ARPACK/SRC/ppatch.tar.gz
tar -xvzf arpack96.tar.gz
tar -xvzf patch.tar.gz
tar -xvzf parpack96.tar.gz
tar -xvzf ppatch.tar.gz
rm *.tar.gz
# if mpi is already installed use the installed mpif.h
find ARPACK/ -name "mpif.h" -exec rm {} \;
# patch for linux systems
patch --verbose -p0 < etime.patch
# patch for the bug of PARPACK
patch --verbose -p0 < parpack.patch
# please edit ARmake.inc before you try to do this
cat ARmake.inc | sed -e "s&DIRECTORY&${PWD}&" > ARPACK/ARmake.inc
cd ARPACK/
make all
